Name:           kraft
Version:        0.95
Release:        %mkrel 1
License:        GPLv2
Summary:        KDE software to manage office documents in the office
Group:          Graphical desktop/KDE
Url:            http://volle-kraft-voraus.de/Main/Kraft
Source0:        https://github.com/dragotin/kraft/archive/v%version/%name-%version.tar.gz
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiContact)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(libctemplate)

# Needed by the tools/erml2pdf.py python script
Requires:       python3dist(reportlab)
Requires:       python3dist(pypdf2)
Requires:       python3dist(six)

%description
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company
daily tasks can be done in a smart manner.

Provided features are:
 -Customer management, deeply integrated in the KDE infrastructure using
  KAddressbook
 -Automated creation of offers, invoices and similar documents
 -Text templates
 -Calculation
 -Material management
 -Configurable document creation in PDF format


%files -f %{name}.lang
%doc AUTHORS README.md Releasenotes.txt TODO
%license COPYING
%{_kf5_bindir}/kraft
%{_kf5_bindir}/findcontact
%{_kf5_datadir}/config.kcfg/kraftsettings.kcfg
%{_kf5_datadir}/config.kcfg/databasesettings.kcfg
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_iconsdir}/hicolor/*/apps/*.svg
%{_kf5_datadir}/kraft/
%{_kf5_datadir}/kxmlgui5/kraft/
%{_kf5_applicationsdir}/de.volle_kraft_voraus.kraft.desktop
%{_kf5_metainfodir}/de.volle_kraft_voraus.kraft.appdata.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name}

chmod 755 %{buildroot}%{_kf5_datadir}/kraft/tools/erml2pdf.py


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 0.95-1.mga8
+ Revision: 1659325
- new version: 0.95

* Thu Dec 17 2020 umeabot <umeabot> 0.90-4.mga8
+ Revision: 1658774
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.90-3.mga8
+ Revision: 1588487
- switch appdata file to kf5_metainfo dir

* Thu Feb 20 2020 umeabot <umeabot> 0.90-2.mga8
+ Revision: 1546028
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.90-1.mga8
+ Revision: 1485756
- new version: 0.90
+ wally <wally>
- build with new cmake macros

* Wed Oct 16 2019 daviddavid <daviddavid> 0.82-4.mga8
+ Revision: 1454049
- add patch to fix python3 syntax
- port to python 3

* Sun Mar 31 2019 umeabot <umeabot> 0.82-3.mga7
+ Revision: 1382805
- Qt5 Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 0.82-2.mga7
+ Revision: 1359979
- add upstream patch to fix build with Qt 5.12

* Wed Oct 31 2018 daviddavid <daviddavid> 0.82-1.mga7
+ Revision: 1326883
- new version: 0.82

* Sun Sep 23 2018 umeabot <umeabot> 0.81-2.mga7
+ Revision: 1298641
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 daviddavid <daviddavid> 0.81-1.mga7
+ Revision: 1242594
- new version: 0.81
- remove merged upstream patch

* Thu Jun 07 2018 daviddavid <daviddavid> 0.80-2.mga7
+ Revision: 1235087
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Fri Apr 20 2018 daviddavid <daviddavid> 0.80-1.mga7
+ Revision: 1220398
- new version: 0.80 (first stable release based on Qt5/KDE Frameworks 5)
- port to Qt5/Kf5
- use new python provides
- swith to PyPDF2

* Mon Feb 15 2016 umeabot <umeabot> 0.58-2.mga6
+ Revision: 960870
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 0.58-1.mga6
+ Revision: 873803
- update file list
- allow dup targets
- 0.58

* Wed Oct 15 2014 umeabot <umeabot> 0.54-3.mga5
+ Revision: 740573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.54-2.mga5
+ Revision: 681189
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 lmenut <lmenut> 0.54-1.mga5
+ Revision: 674434
- update to 0.54

* Tue Oct 29 2013 bersuit <bersuit> 0.53-3.mga4
+ Revision: 547882
- Added upstream patch provided in #mga9650

* Tue Oct 22 2013 umeabot <umeabot> 0.53-2.mga4
+ Revision: 541366
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 0.53-1.mga4
+ Revision: 495763
- update file list
- new version 0.53

* Sun Oct 06 2013 fwang <fwang> 0.51-2.mga4
+ Revision: 492076
- lock libmajor
- drop development file

* Tue Oct 01 2013 bersuit <bersuit> 0.51-1.mga4
+ Revision: 490052
- Update to new upstream version 0.51

* Sun Aug 18 2013 fwang <fwang> 0.50-1.mga4
+ Revision: 467473
- update file list
- disable patch apply
- new version 0.50

* Sat Jan 12 2013 umeabot <umeabot> 0.45-3.mga3
+ Revision: 356459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 0.45-2.mga3
+ Revision: 279440
- rebuild for new ctemplate

* Wed Nov 09 2011 mikala <mikala> 0.45-1.mga2
+ Revision: 165701
- Rediff patch0
- Update tarball to 0.45

* Tue Nov 08 2011 mikala <mikala> 0.44-1.mga2
+ Revision: 165400
- imported package kraft

